PYSIDE6-METAOBJECTDUMP(1)

NAME
pyside6-metaobjectdump - metaobjectdump

DESCRIPTION
usage: metaobjectdump.py [-h] [--compact] [--suppress-file] [--quiet]

[--out-file OUT_FILE]
    files [files ...]

Parses Python source code to create QObject metatype information in JSON format for qmltyperegistrar.

  positional arguments:

files
    Python source file

  options:

-h, --help
    show this help message and exit

--compact, -c
    Use compact format

--suppress-file, -s
    Suppress inputFile entry (for testing)

--quiet, -q
    Suppress warnings

--out-file, -o OUT_FILE
    Write output to file rather than stdout